{ helpers, ... }:

{
  plugins.project-nvim = {
    enable = true;
    enableTelescope = true;
    silentChdir = false;
    scopeChdir = "tab";
  };

  autoGroups.project_nvim_group = {
    clear = true;
  };

  autoCmd = [
    {
      event = "VimEnter";
      group = "project_nvim_group";
      desc = "Startup with project.nvim";
      callback = helpers.mkRaw ''
        function()
          require("telescope").extensions.projects.projects{}
        end
      '';
    }
  ];
}
